import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";

/* eslint-disable react/prop-types */
import AtomImage from '@s-ui/react-atom-image';
import Chevronright from '@s-ui/react-icons/lib/Chevronright';

var CardArrow = function CardArrow(_ref) {
  var media = _ref.media,
      text = _ref.text,
      icon = _ref.icon,
      Link = _ref.linkFactory,
      link = _ref.link;

  /**
   * If there is no Icon prop, set one by default
   */
  var Icon = icon || Chevronright;
  return /*#__PURE__*/_jsx("div", {
    className: "sui-CardArrow",
    children: /*#__PURE__*/_jsxs(Link, {
      className: "sui-CardArrow-link",
      href: link,
      children: [media && /*#__PURE__*/_jsx("div", {
        className: "sui-CardArrow-img",
        children: /*#__PURE__*/_jsx(AtomImage, {
          src: media.src,
          alt: media.alt
        })
      }), /*#__PURE__*/_jsxs("div", {
        className: "sui-CardArrow-inner",
        children: [/*#__PURE__*/_jsx("h3", {
          className: "sui-CardArrow-innerTitle",
          children: text.title
        }), text.description && /*#__PURE__*/_jsx("p", {
          className: "sui-CardArrow-innerDescription",
          children: text.description
        })]
      }), /*#__PURE__*/_jsx(Icon, {
        svgClass: "sui-CardArrow-icon",
        className: "sui-CardArrow-icon"
      })]
    })
  });
};

CardArrow.displayName = 'CardArrow';
CardArrow.defaultProps = {
  linkFactory: function linkFactory(_ref2) {
    var children = _ref2.children,
        rest = _objectWithoutPropertiesLoose(_ref2, ["children"]);

    return /*#__PURE__*/_jsx("a", _extends({}, rest, {
      children: children
    }));
  }
};
export default CardArrow;